Bug 830615 - ALSA kernel message for USB audio - "current rate 0 is different from the runtime rate X"
ALSA kernel message for USB audio - "current rate 0 is different from the run...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 21:37 EDT by markzzzsmith
Modified: 2013-08-14 12:04 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:10:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markzzzsmith 2012-06-10 21:37:26 EDT
Description of problem:

Fairly often, I see the following type kernel message:

Jun 11 11:20:06 opy kernel: [ 1050.345784] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100
Jun 11 11:20:06 opy kernel: [ 1050.356785] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100

I have a set of Logitech V20 USB powered speakers, and I suspect that is the USB  audio device that the message is referring to.

I'm speculating that this seems to be triggered by Pulse Audio waking up and reprogramming the audio rate for the device. For example, if I start the Pulse Audio Volume Control application, in /var/log/messages, I get 

Jun 11 11:25:52 opy rtkit-daemon[1111]: Successfully made thread 2349 of process 2349 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Jun 11 11:25:52 opy kernel: [ 1396.411901] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 32000
Jun 11 11:25:52 opy kernel: [ 1396.430893] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 32000
Jun 11 11:25:52 opy kernel: [ 1396.495193] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100
Jun 11 11:25:52 opy kernel: [ 1396.506187] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100
Jun 11 11:25:52 opy kernel: [ 1396.548201] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100
Jun 11 11:25:52 opy kernel: [ 1396.562190] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100

I also get the same message if I start up any sound application after a period of not using one.

Version-Release number of selected component (if applicable):

Linux kernel 3.4.0-1.fc17.x86_64

How reproducible:

Every time I start the Pulse Audio Volume control application or other audio applications, after a period of not starting one e.g. in the order of 10 or so seconds.

Steps to Reproduce:

1. Leave system with no sound applications operating for 10 or so seconds.

2. Start Pulse Audio Volume control application.

3. Observe messages in /var/log/messages and ALSA kernel message via 'dmesg':
  
Jun 11 11:25:52 opy rtkit-daemon[1111]: Successfully made thread 2349 of process 2349 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Jun 11 11:25:52 opy kernel: [ 1396.411901] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 32000
Jun 11 11:25:52 opy kernel: [ 1396.430893] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 32000
Jun 11 11:25:52 opy kernel: [ 1396.495193] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100
Jun 11 11:25:52 opy kernel: [ 1396.506187] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100
Jun 11 11:25:52 opy kernel: [ 1396.548201] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100
Jun 11 11:25:52 opy kernel: [ 1396.562190] ALSA sound/usb/clock.c:242 current rate 0 is different from the runtime rate 44100

Actual results:

Kernel error/warning/status message most times I start audio applications.

Expected results:

No kernel error/warning/status message.

Additional info:
Comment 1 Emmett Culley 2012-08-22 11:03:39 EDT
I am seeing this as well, with no audio USB hardware plugged in.  The error I am seeing is:

ALSA sound/usb/clock.c:243 current rate 2817 is different from the runtime rate 32000

The 2817 value in the above line varies wildly from as low as 290 to as high as 199425, with the 32000 value staying constant.

I see this about once a second, in syslog.

Fedora 17, last updated on 8/16.
Comment 2 D. Charles Pyle 2012-12-14 13:34:05 EST
I see this and similar as well on Fedora 18-Beta with its latest available kernel.

$ dmesg | tail
[  159.434020] ALSA sound/usb/clock.c:243 current rate 0 is different from the runtime rate 32000
[  159.694769] ALSA sound/usb/clock.c:243 current rate 0 is different from the runtime rate 32000
[  159.715153] ALSA sound/usb/clock.c:243 current rate 0 is different from the runtime rate 32000

$ rpm -qa kernel
kernel-3.6.10-4.fc18.x86_64

$ rpm -qa pulseaudio
pulseaudio-2.1-4.fc18.x86_64

Logitech C910 HD Webcam, ID 046d:0821
Comment 3 markzzzsmith 2012-12-15 04:10:34 EST
I've noticed it seems to coincide with running Google Chrome and viewing pages with video/flash advertisements. Perhaps Chrome is doing something like openning and closing the sound device, causing the rate to change constantly.
Comment 4 Fedora End Of Life 2013-07-03 19:28:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 22:10:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 john casey 2013-08-14 12:04:10 EDT
I submitted this to Bug 798844, but it seems a dup of this one.  This is still a problem as far as I can tell reading both bugs.  Not sure how to tell if it's in 19 kernel.   It seems the anwser here is won't fix in 17 - what about fixing in 18?


I hit this again on the latest F18 kernel. Logitech USB camera/mic while using skype.  I happens pretty regularly - hard to tell what causes it but if I use my mouse while in a skype call - this tends to trigger it.   If I go to sound manager and turn the logitech off and back on it resets and works again for a few seconds.

[root@prava-dev2 ~]# date
Wed Aug 14 08:01:44 PDT 2013

[root@prava-dev2 xinetd.d]# tail /var/log/messages
Aug 14 07:38:06 prava-dev2 kernel: [33600.262463] ALSA sound/usb/clock.c:315 current rate 0 is different from the runtime rate 32000
Aug 14 07:38:38 prava-dev2 kernel: [33632.720304] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720313] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720318] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720323] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720327] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720332] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720336] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)
Aug 14 07:38:38 prava-dev2 kernel: [33632.720341] ALSA sound/usb/endpoint.c:391 cannot submit urb (err = -18)

[root@prava-dev2 ~]# uname -a
Linux prava-dev2.home.lan 3.10.4-100.fc18.x86_64 #1 SMP Thu Aug 1 21:13:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@prava-dev2 ~]# lsusb
Bus 002 Device 003: ID 0424:2514 Standard Microsystems Corp. USB 2.0 Hub
Bus 006 Device 002: ID 03f0:0117 Hewlett-Packard LaserJet 3200
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 004: ID 046d:0821 Logitech, Inc. HD Webcam C910

[root@prava-dev2 xinetd.d]# rpm -qa | grep alsa
alsa-plugins-pulseaudio-1.0.26-2.fc18.x86_64
alsa-tools-firmware-1.0.26.1-1.fc18.x86_64
alsa-lib-1.0.26-2.fc18.i686
alsa-utils-1.0.26-1.fc18.x86_64
alsa-lib-1.0.26-2.fc18.x86_64
alsa-firmware-1.0.25-2.fc18.noarch
alsa-lib-devel-1.0.26-2.fc18.x86_64

Note You need to log in before you can comment on or make changes to this bug.